<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: /home/dan/work/DUNE/dune-wib.firmware/trunk/cores/tse_rgmii.BAK.vhd Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_51d9c9f08f6806a0f97badf342e5b4d7.html">cores</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tse_rgmii.BAK.vhd</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="keyword">-- megafunction wizard: %Triple-Speed Ethernet v13.</span><span class="vhdllogic">1%</span><span class="keyword"></span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="keyword">-- GENERATION: XML</span><span class="keyword"></span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="keyword">-- tse_rgmii.vhd</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="keyword">-- Generated using ACDS version </span><span class="vhdllogic">13</span>.<span class="vhdllogic">1</span> <span class="vhdllogic">182</span> at <span class="vhdllogic">2014</span>.<span class="vhdllogic">06</span>.<span class="vhdllogic">26</span>.<span class="vhdllogic">16</span>:<span class="vhdllogic">52</span>:<span class="vhdllogic">06</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="vhdlkeyword">library </span><span class="keywordflow">IEEE</span>;</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="vhdlkeyword">use </span>IEEE.std_logic_1164.<span class="vhdlkeyword">all</span>;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="vhdlkeyword">use </span>IEEE.numeric_std.<span class="vhdlkeyword">all</span>;</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div>
<div class="line"><a name="l00011"></a><span class="lineno"><a class="code" href="classtse__rgmii.html">   11</a></span>&#160;<span class="keywordflow">entity </span><a class="code" href="classtse__rgmii.html">tse_rgmii</a> <span class="vhdlkeyword">is</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;    <span class="vhdlkeyword">port</span> <span class="vhdlchar">(</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;        <span class="vhdlchar">clk</span>           <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             -- control_port_clock_connection.clk</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;        <span class="vhdlchar">reset</span>         <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             --              reset_connection.reset</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;        <span class="vhdlchar">address</span>       <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>  <span class="vhdlchar">:=</span> <span class="vhdlchar">(</span><span class="vhdlkeyword">others</span> <span class="vhdlchar">=</span><span class="vhdlchar">&gt;</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span>;<span class="keyword"> --                  control_port.address</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;        <span class="vhdlchar">readdata</span>      <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">31</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;<span class="keyword">                    --                              .readdata</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;        <span class="vhdlchar">read</span>          <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             --                              .read</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        <span class="vhdlchar">writedata</span>     <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">31</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">:=</span> <span class="vhdlchar">(</span><span class="vhdlkeyword">others</span> <span class="vhdlchar">=</span><span class="vhdlchar">&gt;</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span>;<span class="keyword"> --                              .writedata</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;        <span class="vhdlchar">write</span>         <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             --                              .write</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        <span class="vhdlchar">waitrequest</span>   <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;<span class="keyword">                                        --                              .waitrequest</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;        <span class="vhdlchar">tx_clk</span>        <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             --   pcs_mac_tx_clock_connection.clk</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        <span class="vhdlchar">rx_clk</span>        <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             --   pcs_mac_rx_clock_connection.clk</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        set_10        : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;0&#39;;             --         mac_status_connection.set_10</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        set_1000      : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;0&#39;;             --                              .set_1000</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;        <span class="vhdlchar">eth_mode</span>      <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;<span class="keyword">                                        --                              .eth_mode</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        <span class="vhdlchar">ena_10</span>        <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;<span class="keyword">                                        --                              .ena_10</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        <span class="vhdlchar">rgmii_in</span>      <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">3</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>  <span class="vhdlchar">:=</span> <span class="vhdlchar">(</span><span class="vhdlkeyword">others</span> <span class="vhdlchar">=</span><span class="vhdlchar">&gt;</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span>;<span class="keyword"> --          mac_rgmii_connection.rgmii_in</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        <span class="vhdlchar">rgmii_out</span>     <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">3</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;<span class="keyword">                     --                              .rgmii_out</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;        <span class="vhdlchar">rx_control</span>    <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             --                              .rx_control</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;        <span class="vhdlchar">tx_control</span>    <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;<span class="keyword">                                        --                              .tx_control</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;        <span class="vhdlchar">ff_rx_clk</span>     <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             --      receive_clock_connection.clk</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;        <span class="vhdlchar">ff_tx_clk</span>     <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             --     transmit_clock_connection.clk</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        <span class="vhdlchar">ff_rx_data</span>    <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;<span class="keyword">                     --                       receive.data</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        <span class="vhdlchar">ff_rx_eop</span>     <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;<span class="keyword">                                        --                              .endofpacket</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        <span class="vhdlchar">rx_err</span>        <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">5</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;<span class="keyword">                     --                              .error</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;        <span class="vhdlchar">ff_rx_rdy</span>     <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             --                              .ready</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        <span class="vhdlchar">ff_rx_sop</span>     <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;<span class="keyword">                                        --                              .startofpacket</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        <span class="vhdlchar">ff_rx_dval</span>    <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;<span class="keyword">                                        --                              .valid</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        <span class="vhdlchar">ff_tx_data</span>    <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>  <span class="vhdlchar">:=</span> <span class="vhdlchar">(</span><span class="vhdlkeyword">others</span> <span class="vhdlchar">=</span><span class="vhdlchar">&gt;</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span>;<span class="keyword"> --                      transmit.data</span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        <span class="vhdlchar">ff_tx_eop</span>     <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             --                              .endofpacket</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        <span class="vhdlchar">ff_tx_err</span>     <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             --                              .error</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        <span class="vhdlchar">ff_tx_rdy</span>     <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;<span class="keyword">                                        --                              .ready</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        <span class="vhdlchar">ff_tx_sop</span>     <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             --                              .startofpacket</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        <span class="vhdlchar">ff_tx_wren</span>    <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             --                              .valid</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        <span class="vhdlchar">ff_tx_crc_fwd</span> <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     <span class="vhdlchar">:=</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">&#39;</span>;<span class="keyword">             --           mac_misc_connection.ff_tx_crc_fwd</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        <span class="vhdlchar">ff_tx_septy</span>   <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;<span class="keyword">                                        --                              .ff_tx_septy</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        <span class="vhdlchar">tx_ff_uflow</span>   <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;<span class="keyword">                                        --                              .tx_ff_uflow</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        <span class="vhdlchar">ff_tx_a_full</span>  <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;<span class="keyword">                                        --                              .ff_tx_a_full</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <span class="vhdlchar">ff_tx_a_empty</span> <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;<span class="keyword">                                        --                              .ff_tx_a_empty</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        <span class="vhdlchar">rx_err_stat</span>   <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">17</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;<span class="keyword">                    --                              .rx_err_stat</span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        <span class="vhdlchar">rx_frm_type</span>   <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">3</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;<span class="keyword">                     --                              .rx_frm_type</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        <span class="vhdlchar">ff_rx_dsav</span>    <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;<span class="keyword">                                        --                              .ff_rx_dsav</span></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        <span class="vhdlchar">ff_rx_a_full</span>  <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;<span class="keyword">                                        --                              .ff_rx_a_full</span></div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        <span class="vhdlchar">ff_rx_a_empty</span> <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span><span class="keyword">                                         --                              .ff_rx_a_empty</span></div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="vhdlkeyword">end</span> <span class="vhdlkeyword">entity</span> <span class="vhdlchar">tse_rgmii</span>;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div>
<div class="line"><a name="l00058"></a><span class="lineno"><a class="code" href="classtse__rgmii_1_1rtl.html">   58</a></span>&#160;<span class="vhdlkeyword">architecture</span> rtl <span class="vhdlkeyword">of</span> <a class="code" href="classtse__rgmii.html">tse_rgmii</a> is</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="vhdlkeyword">component</span> <a class="code" href="enumtse__rgmii__0002.html">tse_rgmii_0002</a> <span class="vhdlkeyword">is</span></div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        <span class="vhdlkeyword">port</span> (</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;            clk           : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- clk</span></div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;            reset         : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- reset</span></div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;            address       : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)  := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- address</span></div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;            readdata      : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">31</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                    <span class="keyword">-- readdata</span></div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;            read          : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- read</span></div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;            writedata     : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">31</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>) := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- writedata</span></div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;            write         : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- write</span></div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;            waitrequest   : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;                                        <span class="keyword">-- waitrequest</span></div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;            tx_clk        : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- clk</span></div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;            rx_clk        : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- clk</span></div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;            set_10        : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- set_10</span></div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;            set_1000      : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- set_1000</span></div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;            eth_mode      : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;                                        <span class="keyword">-- eth_mode</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;            ena_10        : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;                                        <span class="keyword">-- ena_10</span></div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;            rgmii_in      : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">3</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)  := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- rgmii_in</span></div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;            rgmii_out     : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">3</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                     <span class="keyword">-- rgmii_out</span></div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;            rx_control    : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- rx_control</span></div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;            tx_control    : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;                                        <span class="keyword">-- tx_control</span></div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;            ff_rx_clk     : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- clk</span></div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;            ff_tx_clk     : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- clk</span></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;            ff_rx_data    : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                     <span class="keyword">-- data</span></div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;            ff_rx_eop     : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;                                        <span class="keyword">-- endofpacket</span></div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;            rx_err        : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">5</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                     <span class="keyword">-- error</span></div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;            ff_rx_rdy     : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- ready</span></div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;            ff_rx_sop     : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;                                        <span class="keyword">-- startofpacket</span></div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;            ff_rx_dval    : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;                                        <span class="keyword">-- valid</span></div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;            ff_tx_data    : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">7</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)  := (<span class="vhdlkeyword">others</span> =&gt; &#39;X&#39;); <span class="keyword">-- data</span></div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;            ff_tx_eop     : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- endofpacket</span></div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;            ff_tx_err     : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- error</span></div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;            ff_tx_rdy     : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;                                        <span class="keyword">-- ready</span></div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;            ff_tx_sop     : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- startofpacket</span></div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;            ff_tx_wren    : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- valid</span></div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;            ff_tx_crc_fwd : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic</span>                     := &#39;X&#39;;             <span class="keyword">-- ff_tx_crc_fwd</span></div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;            ff_tx_septy   : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;                                        <span class="keyword">-- ff_tx_septy</span></div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;            tx_ff_uflow   : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;                                        <span class="keyword">-- tx_ff_uflow</span></div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;            ff_tx_a_full  : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;                                        <span class="keyword">-- ff_tx_a_full</span></div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;            ff_tx_a_empty : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;                                        <span class="keyword">-- ff_tx_a_empty</span></div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;            rx_err_stat   : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">17</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                    <span class="keyword">-- rx_err_stat</span></div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;            rx_frm_type   : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">3</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);                     <span class="keyword">-- rx_frm_type</span></div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;            ff_rx_dsav    : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;                                        <span class="keyword">-- ff_rx_dsav</span></div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;            ff_rx_a_full  : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;                                        <span class="keyword">-- ff_rx_a_full</span></div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;            ff_rx_a_empty : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span><span class="keyword">                                         -- ff_rx_a_empty</span></div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        );</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    <span class="vhdlkeyword">end</span> <span class="vhdlkeyword">component</span> <span class="vhdlchar">tse_rgmii_0002</span>;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;<span class="vhdlkeyword">begin</span></div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    tse_rgmii_inst : <span class="vhdlkeyword">component</span> <a class="code" href="enumtse__rgmii__0002.html">tse_rgmii_0002</a></div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;        <span class="vhdlkeyword">port</span> <span class="vhdlkeyword">map</span> (</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;            clk            =&gt; clk,<span class="keyword">           -- control_port_clock_connection.clk</span></div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;            reset          =&gt; reset,<span class="keyword">         --              reset_connection.reset</span></div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;            address        =&gt; address,<span class="keyword">       --                  control_port.address</span></div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;            readdata       =&gt; readdata,<span class="keyword">      --                              .readdata</span></div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;            read           =&gt; read,<span class="keyword">          --                              .read</span></div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;            writedata      =&gt; writedata,<span class="keyword">     --                              .writedata</span></div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;            write          =&gt; write,<span class="keyword">         --                              .write</span></div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;            waitrequest    =&gt; waitrequest,<span class="keyword">   --                              .waitrequest</span></div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;            tx_clk         =&gt; tx_clk,<span class="keyword">        --   pcs_mac_tx_clock_connection.clk</span></div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;            rx_clk         =&gt; rx_clk,<span class="keyword">        --   pcs_mac_rx_clock_connection.clk</span></div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;            set_10         =&gt; set_10,<span class="keyword">        --         mac_status_connection.set_10</span></div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;            set_1000       =&gt; set_1000,<span class="keyword">      --                              .set_1000</span></div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;            eth_mode       =&gt; eth_mode,<span class="keyword">      --                              .eth_mode</span></div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;            ena_10         =&gt; ena_10,<span class="keyword">        --                              .ena_10</span></div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;            rgmii_in       =&gt; rgmii_in,<span class="keyword">      --          mac_rgmii_connection.rgmii_in</span></div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;            rgmii_out      =&gt; rgmii_out,<span class="keyword">     --                              .rgmii_out</span></div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;            rx_control     =&gt; rx_control,<span class="keyword">    --                              .rx_control</span></div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;            tx_control     =&gt; tx_control,<span class="keyword">    --                              .tx_control</span></div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;            ff_rx_clk      =&gt; ff_rx_clk,<span class="keyword">     --      receive_clock_connection.clk</span></div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;            ff_tx_clk      =&gt; ff_tx_clk,<span class="keyword">     --     transmit_clock_connection.clk</span></div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;            ff_rx_data     =&gt; ff_rx_data,<span class="keyword">    --                       receive.data</span></div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;            ff_rx_eop      =&gt; ff_rx_eop,<span class="keyword">     --                              .endofpacket</span></div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;            rx_err         =&gt; rx_err,<span class="keyword">        --                              .error</span></div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;            ff_rx_rdy      =&gt; ff_rx_rdy,<span class="keyword">     --                              .ready</span></div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;            ff_rx_sop      =&gt; ff_rx_sop,<span class="keyword">     --                              .startofpacket</span></div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;            ff_rx_dval     =&gt; ff_rx_dval,<span class="keyword">    --                              .valid</span></div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;            ff_tx_data     =&gt; ff_tx_data,<span class="keyword">    --                      transmit.data</span></div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;            ff_tx_eop      =&gt; ff_tx_eop,<span class="keyword">     --                              .endofpacket</span></div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;            ff_tx_err      =&gt; ff_tx_err,<span class="keyword">     --                              .error</span></div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;            ff_tx_rdy      =&gt; ff_tx_rdy,<span class="keyword">     --                              .ready</span></div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;            ff_tx_sop      =&gt; ff_tx_sop,<span class="keyword">     --                              .startofpacket</span></div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;            ff_tx_wren     =&gt; ff_tx_wren,<span class="keyword">    --                              .valid</span></div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;            ff_tx_crc_fwd  =&gt; ff_tx_crc_fwd,<span class="keyword"> --           mac_misc_connection.ff_tx_crc_fwd</span></div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;            ff_tx_septy    =&gt; ff_tx_septy,<span class="keyword">   --                              .ff_tx_septy</span></div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;            tx_ff_uflow    =&gt; tx_ff_uflow,<span class="keyword">   --                              .tx_ff_uflow</span></div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;            ff_tx_a_full   =&gt; ff_tx_a_full,<span class="keyword">  --                              .ff_tx_a_full</span></div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;            ff_tx_a_empty  =&gt; ff_tx_a_empty,<span class="keyword"> --                              .ff_tx_a_empty</span></div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;            rx_err_stat    =&gt; rx_err_stat,<span class="keyword">   --                              .rx_err_stat</span></div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;            rx_frm_type    =&gt; rx_frm_type,<span class="keyword">   --                              .rx_frm_type</span></div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;            ff_rx_dsav     =&gt; ff_rx_dsav,<span class="keyword">    --                              .ff_rx_dsav</span></div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;            ff_rx_a_full   =&gt; ff_rx_a_full,<span class="keyword">  --                              .ff_rx_a_full</span></div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;            ff_rx_a_empty  =&gt; ff_rx_a_empty  <span class="keyword">--                              .ff_rx_a_empty</span></div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;        <span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;<span class="vhdlkeyword">end</span> <span class="vhdlkeyword">architecture</span> <span class="vhdlchar">rtl</span>;<span class="keyword"> -- <span class="vhdlkeyword">of</span> tse_rgmii</span><span class="keyword"></span></div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;<span class="keyword">-- Retrieval info: &lt;?xml version=&quot;1.0&quot;?&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;<span class="keyword">--&lt;!--</span><span class="keyword"></span></div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;<span class="keyword">--  Generated by Altera MegaWizard Launcher Utility version </span><span class="vhdllogic">1</span>.<span class="vhdllogic">0</span><span class="keyword"></span></div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;<span class="keyword">--  ************************************************************</span><span class="keyword"></span></div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;<span class="keyword">--  THIS <span class="vhdlkeyword">IS</span> A WIZARD-GENERATED <span class="vhdlkeyword">FILE</span>. DO <span class="vhdlkeyword">NOT</span> EDIT THIS FILE!</span><span class="keyword"></span></div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;<span class="keyword">--  ************************************************************</span><span class="keyword"></span></div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;<span class="keyword">--  Copyright (C) 1991-2014 Altera Corporation</span><span class="keyword"></span></div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;<span class="keyword">--  Any megafunction design, <span class="vhdlkeyword">and</span> related net list (encrypted <span class="vhdlkeyword">or</span> decrypted),</span><span class="keyword"></span></div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;<span class="keyword">--  support information, device programming <span class="vhdlkeyword">or</span> simulation <span class="vhdlkeyword">file</span>, <span class="vhdlkeyword">and</span> any other</span><span class="keyword"></span></div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;<span class="keyword">--  associated documentation <span class="vhdlkeyword">or</span> information provided by Altera <span class="vhdlkeyword">or</span> a partner</span><span class="keyword"></span></div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;<span class="keyword">--  under Altera&#39;s Megafunction Partnership Program may be used only <span class="vhdlkeyword">to</span></span><span class="keyword"></span></div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;<span class="keyword">--  program PLD devices (but <span class="vhdlkeyword">not</span> masked PLD devices) from Altera.  Any other</span><span class="keyword"></span></div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;<span class="keyword">--  <span class="vhdlkeyword">use</span> <span class="vhdlkeyword">of</span> such megafunction design, net list, support information, device</span><span class="keyword"></span></div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;<span class="keyword">--  programming <span class="vhdlkeyword">or</span> simulation <span class="vhdlkeyword">file</span>, <span class="vhdlkeyword">or</span> any other related documentation <span class="vhdlkeyword">or</span></span><span class="keyword"></span></div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;<span class="keyword">--  information <span class="vhdlkeyword">is</span> prohibited <span class="vhdlkeyword">for</span> any other purpose, including, but <span class="vhdlkeyword">not</span></span><span class="keyword"></span></div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;<span class="keyword">--  limited <span class="vhdlkeyword">to</span> modification, reverse engineering, de-compiling, <span class="vhdlkeyword">or</span> <span class="vhdlkeyword">use</span> <span class="vhdlkeyword">with</span></span><span class="keyword"></span></div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;<span class="keyword">--  any other silicon devices, unless such <span class="vhdlkeyword">use</span> <span class="vhdlkeyword">is</span> explicitly licensed under</span><span class="keyword"></span></div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;<span class="keyword">--  a separate agreement <span class="vhdlkeyword">with</span> Altera <span class="vhdlkeyword">or</span> a megafunction partner.  Title <span class="vhdlkeyword">to</span></span><span class="keyword"></span></div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;<span class="keyword">--  the intellectual <span class="vhdlkeyword">property</span>, including patents, copyrights, trademarks,</span><span class="keyword"></span></div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;<span class="keyword">--  trade secrets, <span class="vhdlkeyword">or</span> maskworks, embodied <span class="vhdlkeyword">in</span> any such megafunction design,</span><span class="keyword"></span></div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;<span class="keyword">--  net list, support information, device programming <span class="vhdlkeyword">or</span> simulation <span class="vhdlkeyword">file</span>, <span class="vhdlkeyword">or</span></span><span class="keyword"></span></div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;<span class="keyword">--  any other related documentation <span class="vhdlkeyword">or</span> information provided by Altera <span class="vhdlkeyword">or</span> a</span><span class="keyword"></span></div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;<span class="keyword">--  megafunction partner, remains <span class="vhdlkeyword">with</span> Altera, the megafunction partner, <span class="vhdlkeyword">or</span></span><span class="keyword"></span></div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;<span class="keyword">--  their respective licensors.  No other licenses, including any licenses</span><span class="keyword"></span></div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;<span class="keyword">--  needed under any third party&#39;s intellectual <span class="vhdlkeyword">property</span>, are provided herein.</span><span class="keyword"></span></div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;<span class="keyword">----&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;<span class="keyword">-- Retrieval info: &lt;instance entity-name=&quot;altera_eth_tse&quot; version=&quot;13.1&quot; &gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;deviceFamilyName&quot; value=&quot;Arria V&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;core_variation&quot; value=&quot;MAC_ONLY&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;ifGMII&quot; value=&quot;RGMII&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;enable_use_internal_fifo&quot; value=&quot;true&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;max_channels&quot; value=&quot;1&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;use_misc_ports&quot; value=&quot;true&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;transceiver_type&quot; value=&quot;NONE&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;enable_hd_logic&quot; value=&quot;false&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;enable_gmii_loopback&quot; value=&quot;false&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;enable_sup_addr&quot; value=&quot;true&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;stat_cnt_ena&quot; value=&quot;true&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;ext_stat_cnt_ena&quot; value=&quot;false&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;ena_hash&quot; value=&quot;false&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;enable_shift16&quot; value=&quot;false&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;enable_mac_flow_ctrl&quot; value=&quot;false&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;enable_mac_vlan&quot; value=&quot;false&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;enable_magic_detect&quot; value=&quot;false&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;useMDIO&quot; value=&quot;false&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;mdio_clk_div&quot; value=&quot;40&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;enable_ena&quot; value=&quot;8&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;eg_addr&quot; value=&quot;12&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;ing_addr&quot; value=&quot;12&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;phy_identifier&quot; value=&quot;0&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;enable_sgmii&quot; value=&quot;false&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;export_pwrdn&quot; value=&quot;false&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;enable_alt_reconfig&quot; value=&quot;false&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;starting_channel_number&quot; value=&quot;0&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;phyip_pll_type&quot; value=&quot;CMU&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;phyip_en_synce_support&quot; value=&quot;false&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;phyip_pma_bonding_mode&quot; value=&quot;x1&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;nf_phyip_rcfg_enable&quot; value=&quot;false&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;enable_timestamping&quot; value=&quot;false&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;enable_ptp_1step&quot; value=&quot;false&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;tstamp_fp_width&quot; value=&quot;4&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;<span class="keyword">-- Retrieval info:  &lt;generic name=&quot;AUTO_DEVICE&quot; value=&quot;Unknown&quot; /&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;<span class="keyword">-- Retrieval info: &lt;/instance&gt;</span><span class="keyword"></span></div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;<span class="keyword">-- IPFS_FILES : tse_rgmii.vho</span><span class="keyword"></span></div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;<span class="keyword">-- RELATED_FILES: tse_rgmii.vhd, tse_rgmii_0002.v, altera_eth_tse_mac.v, altera_tse_clk_cntl.v, altera_tse_crc328checker.v, altera_tse_crc328generator.v, altera_tse_crc32ctl8.v, altera_tse_crc32galois8.v, altera_tse_gmii_io.v, altera_tse_lb_read_cntl.v, altera_tse_lb_wrt_cntl.v, altera_tse_hashing.v, altera_tse_host_control.v, altera_tse_host_control_small.v, altera_tse_mac_control.v, altera_tse_register_map.v, altera_tse_register_map_small.v, altera_tse_rx_counter_cntl.v, altera_tse_shared_mac_control.v, altera_tse_shared_register_map.v, altera_tse_tx_counter_cntl.v, altera_tse_lfsr_10.v, altera_tse_loopback_ff.v, altera_tse_altshifttaps.v, altera_tse_fifoless_mac_rx.v, altera_tse_mac_rx.v, altera_tse_fifoless_mac_tx.v, altera_tse_mac_tx.v, altera_tse_magic_detection.v, altera_tse_mdio.v, altera_tse_mdio_clk_gen.v, altera_tse_mdio_cntl.v, altera_tse_top_mdio.v, altera_tse_mii_rx_if.v, altera_tse_mii_tx_if.v, altera_tse_pipeline_base.v, altera_tse_pipeline_stage.sv, altera_tse_dpram_16x32.v, altera_tse_dpram_8x32.v, altera_tse_quad_16x32.v, altera_tse_quad_8x32.v, altera_tse_fifoless_retransmit_cntl.v, altera_tse_retransmit_cntl.v, altera_tse_rgmii_in1.v, altera_tse_rgmii_in4.v, altera_tse_nf_rgmii_module.v, altera_tse_rgmii_module.v, altera_tse_rgmii_out1.v, altera_tse_rgmii_out4.v, altera_tse_rx_ff.v, altera_tse_rx_min_ff.v, altera_tse_rx_ff_cntrl.v, altera_tse_rx_ff_cntrl_32.v, altera_tse_rx_ff_cntrl_32_shift16.v, altera_tse_rx_ff_length.v, altera_tse_rx_stat_extract.v, altera_tse_timing_adapter32.v, altera_tse_timing_adapter8.v, altera_tse_timing_adapter_fifo32.v, altera_tse_timing_adapter_fifo8.v, altera_tse_top_1geth.v, altera_tse_top_fifoless_1geth.v, altera_tse_top_w_fifo.v, altera_tse_top_w_fifo_10_100_1000.v, altera_tse_top_wo_fifo.v, altera_tse_top_wo_fifo_10_100_1000.v, altera_tse_top_gen_host.v, altera_tse_tx_ff.v, altera_tse_tx_min_ff.v, altera_tse_tx_ff_cntrl.v, altera_tse_tx_ff_cntrl_32.v, altera_tse_tx_ff_cntrl_32_shift16.v, altera_tse_tx_ff_length.v, altera_tse_tx_ff_read_cntl.v, altera_tse_tx_stat_extract.v, altera_tse_false_path_marker.v, altera_tse_reset_synchronizer.v, altera_tse_clock_crosser.v, altera_tse_a_fifo_13.v, altera_tse_a_fifo_24.v, altera_tse_a_fifo_34.v, altera_tse_a_fifo_opt_1246.v, altera_tse_a_fifo_opt_14_44.v, altera_tse_a_fifo_opt_36_10.v, altera_tse_gray_cnt.v, altera_tse_sdpm_altsyncram.v, altera_tse_altsyncram_dpm_fifo.v, altera_tse_bin_cnt.v, altera_tse_ph_calculator.sv, altera_tse_sdpm_gen.v, altera_tse_dc_fifo.v</span></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:18 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
